Bug 271910 - Application 'kile' crashing
Summary: Application 'kile' crashing
Status: CLOSED FIXED
Alias: None
Product: kile
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Michel Ludwig
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-28 10:06 UTC by benoit.magnain
Modified: 2011-04-29 14:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Kile's configuration file (16.90 KB, application/octet-stream)
2011-04-28 10:17 UTC, benoit.magnain
Details
Packages installing with Yast (120.14 KB, image/jpeg)
2011-04-28 10:40 UTC, benoit.magnain
Details
Crashing message (148.22 KB, image/jpeg)
2011-04-28 10:41 UTC, benoit.magnain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description benoit.magnain 2011-04-28 10:06:49 UTC
Application: kile (2.0.86)
KDE Platform Version: 4.6.00 (4.6.0) "release 6"
Qt Version: 4.7.1
Operating System: Linux 2.6.37.1-1.2-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed: i was starting kile. Nothing else. No more program was running on my OS.

The crash can be reproduced every time.

-- Backtrace:
Application: Kile (kile), signal: Segmentation fault
[KCrash Handler]
#6  ref (this=0xc66710, other=...) at ../../src/corelib/arch/qatomic_x86_64.h:121
#7  QString::operator= (this=0xc66710, other=...) at tools/qstring.cpp:1357
#8  0x000000000067f2c7 in KileDocument::EditorExtension::initDoubleQuotes (this=0xc666c0) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:2427
#9  0x000000000067f372 in KileDocument::EditorExtension::readConfig (this=0xc666c0) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:86
#10 0x000000000067f8c0 in KileDocument::EditorExtension::EditorExtension (this=0xc666c0, info=<value optimized out>) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:74
#11 0x00000000005cfc2c in Kile::Kile (this=0x7fffc02dc600, allowRestore=true, parent=0x0, name=<value optimized out>) at /usr/src/debug/kile-2.1b5/src/kile.cpp:140
#12 0x00000000005d3732 in main (argc=1, argv=0x7fffc02dd428) at /usr/src/debug/kile-2.1b5/src/main.cpp:144

Reported using DrKonqi
Comment 1 Michel Ludwig 2011-04-28 10:11:23 UTC
Can you please attach Kile's configuration file, kilerc, which can typically be found under ~/.kde/share/config/? Thanks.
Comment 2 benoit.magnain 2011-04-28 10:17:16 UTC
Created attachment 59386 [details]
Kile's configuration file

I hope it can help you.
Thanks
Comment 3 Michel Ludwig 2011-04-28 10:28:23 UTC
Are you maybe using a translated version of Kile?

If so, can you maybe send a me screenshot of configuration page where you selected French quotes (LaTeX / General)? Thanks a lot.
Comment 4 benoit.magnain 2011-04-28 10:40:19 UTC
Created attachment 59387 [details]
Packages installing with Yast
Comment 5 benoit.magnain 2011-04-28 10:41:51 UTC
Created attachment 59388 [details]
Crashing message

This is the only think I can see after launching Kile with Terminal
Comment 6 Michel Ludwig 2011-04-28 11:37:46 UTC
Ah, sorry, I forgot that you can't launch Kile at all... :)

Anyway, I think I got an idea of where the problem lies. I'll prepare a fix in the next days, and maybe you can test it then? Thanks.
Comment 7 Michel Ludwig 2011-04-28 11:46:05 UTC
In the mean time, you should be able to use Kile normally if you start it with

KDE_LANG=en kile

(on one line)
Comment 8 benoit.magnain 2011-04-28 11:54:33 UTC
Not really :


benoit@MAGNAIN:/media/Magnain_500Go/article> KDE_LANG=en kile &
[3] 12934
benoit@MAGNAIN:/media/Magnain_500Go/article> KCrash: Application 'kile' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/benoit/.kde4/socket-MAGNAIN/kdeinit4__0
Comment 9 Michel Ludwig 2011-04-28 12:07:12 UTC
(In reply to comment #8)
> Not really :

Strange. Does it give you the same backtrace as before?
Comment 10 benoit.magnain 2011-04-28 12:10:40 UTC
For me, the result is exactly the same but i am not an expert :

Application: Kile (kile), signal: Segmentation fault
[KCrash Handler]
#6  ref (this=0xc69460, other=...) at ../../src/corelib/arch/qatomic_x86_64.h:121
#7  QString::operator= (this=0xc69460, other=...) at tools/qstring.cpp:1357
#8  0x000000000067f2c7 in KileDocument::EditorExtension::initDoubleQuotes (this=0xc69410) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:2427
#9  0x000000000067f372 in KileDocument::EditorExtension::readConfig (this=0xc69410) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:86
#10 0x000000000067f8c0 in KileDocument::EditorExtension::EditorExtension (this=0xc69410, info=<value optimized out>) at /usr/src/debug/kile-2.1b5/src/editorextension.cpp:74
#11 0x00000000005cfc2c in Kile::Kile (this=0x7fff01ba7af0, allowRestore=true, parent=0x0, name=<value optimized out>) at /usr/src/debug/kile-2.1b5/src/kile.cpp:140
#12 0x00000000005d3732 in main (argc=1, argv=0x7fff01ba8918) at /usr/src/debug/kile-2.1b5/src/main.cpp:144
Comment 11 benoit.magnain 2011-04-28 17:09:43 UTC
(In reply to comment #6)
> Ah, sorry, I forgot that you can't launch Kile at all... :)
> 
> Anyway, I think I got an idea of where the problem lies. I'll prepare a fix in
> the next days, and maybe you can test it then? Thanks.

Ok, i will test it.
Comment 12 Michel Ludwig 2011-04-29 12:28:54 UTC
Git commit 81824e222af549f3731ce3e983cb581d7422d1d5 by Michel Ludwig.
Committed on 29/04/2011 at 12:29.
Pushed by mludwig into branch 'master'.

Avoid crashes when running Kile in a non-English locale.

In the EditorExtension class it was assumed that the opening and closing
variants for double quotes in a given option string for inserting double quotes
are always separated by two space characters. Unfortunately, this option string
was also passed to an i18n function call. Hence, in some languages (e.g. French)
these two spaces were sometimes not added to the translation, which could result
in a crash when the opening and closing quotes were to be extracted from the
option string. This has now been fixed by using two lists for internal and
external (i.e. internationalised) double quote options.

BUG: 271910

M  +1    -1    src/dialogs/configurationdialog.cpp     
M  +21   -11   src/editorextension.cpp     
M  +7    -3    src/editorextension.h     

http://commits.kde.org/kile/81824e222af549f3731ce3e983cb581d7422d1d5
Comment 13 Michel Ludwig 2011-04-29 12:29:58 UTC
(In reply to comment #11)
> Ok, i will test it.

If you want, you can find compilation instructions here:

  http://kile.sourceforge.net/developers.php#repository

Thanks.
Comment 14 benoit.magnain 2011-04-29 14:01:32 UTC
Well, it works fine for me.

Thanks